import * as mc from '@minecraft/server';
import { system, world, EquipmentSlot } from "@minecraft/server";

let alchemistRobe = []
let alchemistHood = []
let fullAlchemist = []
system.runInterval(() =>{
    fullAlchemist = []
    alchemistHood = []
    alchemistRobe = []

    let players = mc.world.getAllPlayers();

    players.forEach(player => {

        let chestArmor = player.getComponent("equippable").getEquipment(EquipmentSlot.Chest);
        let headArmor = player.getComponent("equippable").getEquipment(EquipmentSlot.Head);
        
        if (chestArmor?.typeId == "si:alchemist_robe" && headArmor?.typeId == "si:alchemist_hood") {

            fullAlchemist.push(player)
            
        }
        if (chestArmor?.typeId == "si:alchemist_robe") {

            alchemistRobe.push(player)
            
        }
        if (headArmor?.typeId == "si:alchemist_hood") {

            alchemistHood.push(player)
            
        }
        else {
            player.removeTag("alchemist");
        }
    })
},20)

//Full ALchemist Perk
system.runInterval(() =>{
    fullAlchemist.forEach(player=> {
        player.addTag("alchemist");
        if(player.isSneaking == true) {
                player.addTag("CD")
                player.addEffect("slow_falling", 100, { amplifier: 0, showParticles: false});
                player.addEffect("jump_boost", 100, { amplifier: 1, showParticles: false});
        }
        
    })   
},5)

//Alchemist Hood Perk
system.runInterval(() =>{
    alchemistRobe.forEach(player=> {
        player.addEffect("resistance", 300, { amplifier: 1, showParticles: false });
        player.addEffect("fire_resistance", 300, { amplifier: 0, showParticles: false });
    })   
},20)

//Alchemist Robe Perk
system.runInterval(() =>{
    alchemistHood.forEach(player=> {
        player.addEffect("night_vision", 300, { amplifier: 0, showParticles: false });
    })   
},20)