import * as mc from '@minecraft/server';
import { system, world, ItemStack, Entity} from "@minecraft/server";

world.afterEvents.itemCompleteUse.subscribe(data => {
    let itemUsed = data.itemStack.typeId;
    let player = data.source;

    //Enchanted Gold
    if (itemUsed == "si:potion_bottle_melted_enchanted_gold") {
        player.runCommand("effect @s absorption 60 9");
        player.runCommand("effect @s regeneration 30 2");
        player.runCommand("effect @s resistance 30 2");
    }
    //Melted_gold
    if (itemUsed == "si:potion_bottle_melted_gold") {
        player.runCommand("effect @s absorption 60 4");
        player.runCommand("effect @s regeneration 30 1");
        player.runCommand("effect @s resistance 30 1");
    }
    //Iron Golem
    if (itemUsed == "si:potion_bottle_iron_golem") {
       player.runCommand("function potions/iron_golem");
    }
    //Iron
    if (itemUsed == "si:potion_bottle_melted_iron") {
        player.runCommand("effect @s resistance 60 2");
    }
    //Lightning
    if (itemUsed == "si:potion_bottle_lightning") {
        player.runCommand("tag @s add lightning1");
    }
    //Necromancy
    if (itemUsed == "si:potion_bottle_necromancy") {
        player.runCommand("tag @s add deathMarked");
    }
    //Moonlight
    if (itemUsed == "si:potion_bottle_moonlight") {
        player.runCommand("time set night");
    }
    //Sunshine
    if (itemUsed == "si:potion_bottle_sunshine") {
        player.runCommand("time set day");
        player.runCommand("weather clear")
    }
    //Void
    if (itemUsed == "si:potion_bottle_void") {
        player.runCommand("execute at the_end run tp @s ~ ~ ~");
    }
    //Oozing
    if (itemUsed == "si:potion_bottle_oozing") {
        player.runCommand("tag @s add oozing");
    }
    //Piglin
    if (itemUsed == "si:potion_bottle_piglin") {
        player.runCommand("function potions/piglinE");
    }
    //Rain
    if (itemUsed == "si:potion_bottle_raindrops") {
        player.runCommand("weather rain");
    }
    //Storm
    if (itemUsed == "si:potion_bottle_storm") {
        player.runCommand("weather thunder");
    }
    //Void
    if (itemUsed == "si:potion_bottle_void") {
        player.runCommand("execute at the_end run tp @s ~ ~ ~");
    }
    //Wormhole
    let players = world.getAllPlayers();
    let entities = player.dimension.getEntities();
    function getRandomInt(max) {
        return Math.floor(Math.random() * max);
    }
    if (itemUsed == "si:potion_bottle_wormholee") {
        player.runCommand("effect @s blindness 5 0 true");
        let rng = getRandomInt(entities.length);
        player.teleport(entities[rng].location);
    }
    if (itemUsed == "si:potion_bottle_wormholep") {
        player.runCommand("effect @s blindness 5 0 true");
        let rng = getRandomInt(players.length);
        player.teleport(players[rng].location);
    }
    //Melting
    if (itemUsed == "si:potion_bottle_melting") {
        player.setOnFire(10, true);
    }
    //Lightning
    if (itemUsed == "si:potion_bottle_melted_copper") {
        player.runCommand("tag @s add lightning1")
    }
    if (itemUsed == "si:potion_bottle_growth") {
        player.addTag("dryad");
        system.runTimeout(()=>{
            player.removeTag("dryad")
        }, 30 * mc.TicksPerSecond)
    }
    if (itemUsed == "si:potion_bottle_magnet") {
        player.addTag("magnetized");
        system.runTimeout(()=>{
            player.removeTag("magnetized")
        }, 30 * mc.TicksPerSecond)
    }
})